Ask Your Question
0

enterprise puppet agent could not install nginx

asked 2015-09-25 18:04:14 -0600

Albert1203 gravatar image

I a new puppet user. I use enterprise 2015.2. Both server and agent are centos 7. On server I created a linuxeaxample node group, added this agent. I installed module jfryman-nginx-0.2.7 and apply class nginx to the group. When I use puppetsimple.sh at agent, error occurred.

[root@linux-agent1 modules]# puppetsimple.sh Info: Retrieving pluginfacts Info: Retrieving plugin Notice: /File[/opt/puppetlabs/puppet/cache/lib/facter/lastrun.rb]/ensure: defined content as '{md5}12e7349e61a34e74901a0050f6db9ead' Notice: /File[/opt/puppetlabs/puppet/cache/lib/facter/puppiprojects.rb]/ensure: defined content as '{md5}52c607131dc7a65db70d52f60e19bd09' Notice: /File[/opt/puppetlabs/puppet/cache/lib/facter/windowscommonappdata.rb]/ensure: defined content as '{md5}ce068ea5a6d68a6f3cad50a919caa75f' Notice: /File[/opt/puppetlabs/puppet/cache/lib/puppet/functions/paramslookup.rb]/ensure: defined content as '{md5}030d49c52f1a8eaca578cbba1a852a96' Notice: /File[/opt/puppetlabs/puppet/cache/lib/puppet/parser/functions/any2bool.rb]/ensure: defined content as '{md5}9a33c68686b26701e2289f553bed78e5' Notice: /File[/opt/puppetlabs/puppet/cache/lib/puppet/parser/functions/bool2ensure.rb]/ensure: defined content as '{md5}7ed40cbdcb65556f5c9295a4088422a8' Notice: /File[/opt/puppetlabs/puppet/cache/lib/puppet/parser/functions/getclassargs.rb]/ensure: defined content as '{md5}3a830d0d3af0f7c30002fa0213ccf555' Notice: /File[/opt/puppetlabs/puppet/cache/lib/puppet/parser/functions/getmagicvar.rb]/ensure: defined content as '{md5}24c1abf9c43e7cf7290efeda7d5dd403' Notice: /File[/opt/puppetlabs/puppet/cache/lib/puppet/parser/functions/nslookup.rb]/ensure: defined content as '{md5}976cfe36eec535d97a17139c7408f0bd' Notice: /File[/opt/puppetlabs/puppet/cache/lib/puppet/parser/functions/optionslookup.rb]/ensure: defined content as '{md5}5b5f8291e4b20c2aa31488b0ffe680b2' Notice: /File[/opt/puppetlabs/puppet/cache/lib/puppet/parser/functions/paramslookup.rb]/ensure: defined content as '{md5}a846d805db2a5fbb15b4ae8cfe060460' Notice: /File[/opt/puppetlabs/puppet/cache/lib/puppet/parser/functions/urlparse.rb]/ensure: defined content as '{md5}71d6f11070d1dc00f3dcad71a23f570a' Info: Loading facts Info: Caching catalog for linux-agent1.ra-int.com Info: Applying configuration version '1443207699' Error: Execution of '/usr/bin/yum -d 0 -e 0 -y install jfryman-nginx-0.2.7' returned 1: Error: Nothing to do Error: /Stage[main]/Nginx/Package[jfryman-nginx-0.2.7]/ensure: change from purged to present failed: Execution of '/usr/bin/yum -d 0 -e 0 -y install jfryman-nginx-0.2.7' returned 1: Error: Nothing to do Error: Execution of '/usr/bin/yum -d 0 -e 0 -y install nginx' returned 1: Error: Nothing to do Error: /Stage[main]/Nginx/Package[nginx]/ensure: change from purged to present failed: Execution of '/usr/bin/yum -d 0 -e 0 -y install nginx' returned 1: Error: Nothing to do Notice: hello, world! Notice: /Stage[main]/Helloworld/Notify[hello, world!]/message: defined 'message' as 'hello, world!' Warning: Puppet Agent el-7-x8664 for is not currently available. Warning: /Stage[main]/Perepo::Platform::El7x8664/Perepo::El[el-7-x8664]/Perepo::Repo[el-7-x8664 ]/Notify[el-7-x8664--unsupported-agent-platform]/message: defined 'message' as 'Puppet Agent el-7-x8664 for is not currently available.' Info: Stage[main]: Unscheduling all events on Stage[main] Notice: Applied catalog in 1.75 seconds

Please help figure out what is wrong. How to fix it. Thank you!

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2015-09-26 18:17:45 -0600

Yeayu gravatar image

updated 2015-09-26 18:18:48 -0600

As far as I know, that puppet module version is not supported by your installed puppet version (2015.2) yet, so the module might not work as expected...

In any case, by checking the output it seems to be an error while installing nginx using yum. Can you check whether that box has the EPEL repository installed? (the module might be failing to do so on its own)

Regards

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2015-09-25 18:04:14 -0600

Seen: 253 times

Last updated: Sep 26 '15